# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import cfglib
import os
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')

# * VARIABLES

langs = []
for item in func.langs:
	item = item.strip('"')
	item = item.replace(item[0],item[0].upper())
	langs.append(str(item))

# '''''''''''''''''''''' # CONFIG # '''''''''''''''''''''' #
cfg = cfglib.AddonCFG('cstrike/cfg/sam/config.cfg')
if os.path.isfile('cstrike/cfg/sam/config.cfg') == False: 
	cfg.text('-' * 80)
	cfg.text(' # Source Admin Menu | Configuration File')
	cfg.text(' ')
	cfg.text('-' * 80)
	cfg.cvar('sam_language',   'english',           'Script language. Available langs: %s.' % (','.join(langs)))
	cfg.cvar('sam_menu_title', 'Source Admin Menu', 'Menus title.')
	cfg.cvar('sam_chat_tag',    '#redSAM',           'Tag of the beggining of any SAM message.')
	cfg.write()
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	es.ServerCommand('exec sam/config.cfg')
	es.unload('sam/functions/cfg')

# ============================================================================================================================================================= #