# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
import cmdlib
import langlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/admins')

# * VARIABLES

filters = ['#alive','#ct','#t','#all','#human']

# '''''''''''''''''''''' # Languages # ''''''''''''''''''''' #
langDir      = es.getAddonPath('sam') + '/langs/pcontrol/'
popupText    = langlib.Strings(langDir + 'popups.ini')
actionsText  = langlib.Strings(langDir + 'actions.ini')
chattag_slay = func.commonText('slay', None, None)
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load(): cmdlib.registerSayCommand('!slay', slayCMD,'SAM')

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload(): cmdlib.unregisterSayCommand('!slay')

# ============================================================================================================================================================= #
# ======================================================================= CMD BLOCKS ========================================================================== #
# ============================================================================================================================================================= #
def slayCMD(userid, args):
	if admins.isAdmin(es.getplayersteamid(userid)) == True and admins.checkAccess(es.getplayersteamid(userid), 'Slay') == True:
		if args:
			tokens = {'num':0}
			if len(args) > 1:
				for target in args:
					if es.exists('userid', es.getuserid(target)):
						target = playerlib.getPlayer(es.getuserid(target))
						if admins.checkImmunity(es.getplayersteamid(userid), target.steamid):
							tokens['num'] += 1
							if target: target.slay()
				if tokens['0'] != 0:
					for ply in es.getUseridList(): func.tell(ply, actionsText('slayed_2', tokens, func.getLang()), '#green' + chattag_slay.upper())
			else:
				if not args[0] in filters:
					if admins.checkImmunity(es.getplayersteamid(userid), es.getplayersteamid(es.getuserid(args[0]))): slayTarget(userid, playerlib.getPlayer(es.getuserid(args[0])))
				else:
					list = playerlib.getPlayerList(args[0])
					for ply in list:
						if admins.checkImmunity(es.getplayersteamid(userid), target.steamid):
							if ply.isdead == False:
								tokens['num'] += 1
								ply.slay()
					for ply in es.getUseridList(): func.tell(ply, actionsText('slayed_2', tokens, func.getLang()), '#green' + chattag_slay.upper())

# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def moduleAction(admin, target):
	if admins.checkImmunity(admin.steamid, target.steamid): slayTarget(admin, target)
	else:
		block = es.import_addon('sam/base/pcontrol')
		block.modulePopup(admin)

# ============================================================================================================================================================= #
# ======================================================================== FUNCTIONS ========================================================================== #
# ============================================================================================================================================================= #
def slayTarget(userid, target):
	if es.exists('userid', target) == True and target.isdead == False:
		target.slay()
		tokens = {'target':target.name}
		for ply in es.getUseridList(): func.tell(ply, actionsText('slayed', tokens, func.getLang()), '#green' + chattag_slay.upper())
	else: func.tell(userid, func.commonText('noTarget', None, func.getLang()), '#green' + chattag_slay.upper())

# ============================================================================================================================================================= #